using System.Collections.Generic;

namespace ChillConnect
{
    public class JoastModel : BaseModel
    {
        protected override void OnInit()
        {
        }

        protected override void OnDispose()
        {
        }

        private Queue<JoastData> tipsDatas = new Queue<JoastData>();

        public void AddTips(JoastData joastData)
        {
            if (tipsDatas.Count > 0)
            {
                return;
            }

            tipsDatas.Enqueue(joastData);
        }

        public JoastData GetTips()
        {
            return tipsDatas.Count > 0 ? tipsDatas.Dequeue() : null;
        }
    }
}